org.apache.maven.scm.plugin

## Class ChangeLogMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.maven.scm.plugin.AbstractScmMojo
    - - org.apache.maven.scm.plugin.ChangeLogMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class ChangeLogMojo
    extends AbstractScmMojo

Dump changelog contents to console. It is mainly used to test maven-scm-api's changelog command.

Version:
  $Id: ChangeLogMojo.java 685542 2008-08-13 13:28:43Z vsiveton $
Author:
  Dan Tran

### Field Summary

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`ChangeLogMojo()`

### Method Summary

Methods
`void` `execute()`

### Methods inherited from class org.apache.maven.scm.plugin.AbstractScmMojo

`checkResult, getConnectionUrl, getExcludes, getFileSet, getIncludes, getScmManager, getScmRepository, getScmVersion, getWorkingDirectory, setConnectionType, setConnectionUrl, setExcludes, setIncludes, setWorkingDirectory`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChangeLogMojo

    public ChangeLogMojo()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

Specified by:
  `execute` in interface `org.apache.maven.plugin.Mojo`
Overrides:
  `execute` in class `AbstractScmMojo`
Throws:
  `org.apache.maven.plugin.MojoExecutionException`